Bug 178659 - LM87 sensor driver missing from kernel
Summary: LM87 sensor driver missing from kernel
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Red Hat Kernel Manager
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-01-23 03:39 UTC by Steve Snyder
Modified: 2012-06-20 16:04 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 16:04:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Adds support for LM87 sensor to 2.6.9-34.EL RHEL4 kernel (27.54 KB, text/x-patch)
2006-04-10 12:49 UTC, Steve Snyder
no flags Details

Description Steve Snyder 2006-01-23 03:39:56 UTC
From Bugzilla Helper:
User-Agent: Opera/8.51 (X11; Linux i686; U; en)

Description of problem:
I understand from the Linux Kernel Mailing List that the LM87 sensor driver was 
added to the 2.6.8 kernel.  For some reason it is not available in the RHEL4 2.
6.9-22 package.  I am writing to request that this driver be added to subsequent 
kernel releases.


Version-Release number of selected component (if applicable):
linux-2.6.9-22.0.2.EL

How reproducible:
Always

Steps to Reproduce:
1.Attempt to locate needed lm87.ko driver on RHEL4-U2 system.
2.Examine kernel source and find that this driver is not inlcuded in this 
release.
3.
  

Actual Results:  THe lm87.ko driver is not present in the current kernel release.

Expected Results:  The lm87 driver should be part of any 2.6.9+ kernel.


Additional info:

Comment 1 Steve Snyder 2006-04-10 12:49:09 UTC
Created attachment 127543 [details]
Adds support for LM87 sensor to 2.6.9-34.EL RHEL4 kernel

Comment 2 Steve Snyder 2006-04-10 12:55:20 UTC
This patch adds support for the LM87 sensor to the 2.6.9-34.EL RHEL4 kernel.  On
the advice of the driver's author, I got the lm87.c from the standard 2.6.12
kernel source tree.  In addition to adding file lm87.c this patch also modifies
the kernel config file to allow selection of the driver.

Seems to work fine in an otherwise standard kernel-smp-2.6.9-34.EL kernel,
running on a Supermicro P3TDLE motherboard:

$ sensors
lm87-i2c-0-2e
Adapter: SMBus PIIX4 adapter at 0580
VCore:     +1.43 V  (min =  +0.98 V, max =  +2.00 V)
+3.3V:     +3.32 V  (min =  +2.99 V, max =  +3.51 V)
+5V:       +5.03 V  (min =  +4.50 V, max =  +5.52 V)
+12V:     +12.12 V  (min = +10.00 V, max = +13.00 V)
CPU1 Fan: 5153 RPM  (min = 2848 RPM, div = 2)
CPU2 Fan: 5153 RPM  (min = 2848 RPM, div = 2)
M/B Temp:    +32°C  (low  =    +0°C, high =   +50°C)
CPU1 Temp:   +36°C  (low  =    +0°C, high =   +85°C)
CPU2 Temp:   +37°C  (low  =    +0°C, high =   +75°C)
vid:      +1.450 V  (VRM Version 8.5)


Comment 3 Steve Snyder 2007-02-02 11:37:00 UTC
As the LM87 sensor has been working correctly in the standard RHEL4 kernels for 
6 months, the status of this can be changed from "new" (ahem!) to "closed".

Thanks for adding the support!


Comment 4 Jiri Pallich 2012-06-20 16:04:11 UTC
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.


Note You need to log in before you can comment on or make changes to this bug.